Interface PulseSettings
disableExploreFilter?: boolean;
height?: string | number;
iframeAttributeClass?: string;
iframeAttributeLoading?: string;
iframeAttributeStyle?: string;
layout?: PulseLayout;
src?: null | string;
theme?: string;
timeDimension?: PulseTimeDimension;
token?: string;
width?: string | number;
}
Hierarchy (View Summary)
- WebComponentLocalSettings
- PulseSettings
Properties
OptionaldisableExploreFilter
Indicates whether the explore filter is hidden or visible.
<tableau-pulse id="tableauPulse" disable-explore-filter>
Optionalheight
Represents height in pixels Can be any valid CSS size specifier. If not specified, defaults to the published height of the view.
OptionaliframeAttributeClass
The value of the 'class' attribute of the embedded iframe providing access to any
custom selectors defined in the <iframe-style> child tag.
<tableau-pulse id="tableauViz" iframe-attr-class="red-border">
<iframe-style>
.red-border {
border: 1px solid red;
}
</iframe-style>
</tableau-pulse>
OptionaliframeAttributeLoading
The value of the 'loading' attribute of the embedded iframe. See: https://developer.mozilla.org/en-US/docs/Web/HTML/Element/iframe#loading
<tableau-viz id="tableauViz" iframe-attr-loading="lazy" />
<tableau-authoring-viz id="tableauViz" iframe-attr-loading="lazy" />
<tableau-pulse id="tableauPulse" iframe-attr-loading="lazy" />
OptionaliframeAttributeStyle
The value of the 'style' attribute of the embedded iframe.
<tableau-viz id="tableauViz" iframe-attr-style="border: 1px solid red" />
<tableau-authoring-viz id="tableauViz" iframe-attr-style="border: 1px solid red" />
<tableau-pulse id="tableauPulse" iframe-attr-style="border: 1px solid red" />
Optionallayout
Specifies the desired custom layout of the Pulse metric.
<tableau-pulse id="tableauPulse" layout="card">
Optionalsrc
The viz src
Optionaltheme
The Base64-encoded string representation of the Pulse theme object.
OptionaltimeDimension
Specifies the desired time dimension to apply to the Pulse metric by default.
<tableau-pulse id="tableauPulse" time-dimension="MonthToDate">
Optionaltoken
The token used for authorization
<tableau-viz id="tableauViz" token="some-token-containing-clientId" />
<tableau-authoring-viz id="tableauViz" token="some-token-containing-clientId" />
<tableau-pulse id="tableauPulse" token="some-token-containing-clientId" />
Optionalwidth
Represents width in pixels Can be any valid CSS size specifier. If not specified, defaults to the published width of the view.
User supplied options that do not get passed as request parameters to load a Tableau viz, Tableau askdata